﻿Imports MySql.Data.MySqlClient

Module DB

    Dim MysqlConn As New MySqlConnection
    Public con As MySqlConnection = myconn()

    Dim cmd As New MySqlCommand
    Dim result As Integer

    Dim da As New MySqlDataAdapter
    Dim dt As New DataTable
    Dim dReader As MySqlDataReader

    Public userfid As String
    Public customerrfid As String

    Public IsSuccessResult As Boolean

    Public TotalAmount As Double

    Public itemquantity, itemupdate, orderitem As Integer
    Public itemcode As String

    Public utang, updatepay As Double

    Public employeeid As String

    Public whatquantity As Integer

    Public checkutang As Double

    Public payrollpresent As Double

    Public datefrom As String
    Public datetime As String


    Public Function myconn() As MySqlConnection
        Return New MySqlConnection("server=localhost;user id=root;password='';database=kcccanteen")
    End Function

    Public Sub findthis(ByVal sql As String)
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql
            End With
        Catch ex As Exception

            MsgBox(ex.Message, MsgBoxStyle.Exclamation)
        Finally

            da.Dispose()
            con.Close()

        End Try

    End Sub

    Public Sub LoadData(ByVal obj As Object, ByVal param As String)
        Try
            con.Open()
            dReader = cmd.ExecuteReader()

            Select Case param

                Case "LoadCustomerRedeem"
                    Do While dReader.Read = True
                        obj.Rows.Add(dReader(0), dReader(1), dReader(2), dReader(3))
                    Loop

                Case "LoadPayroll"
                    Do While dReader.Read = True
                        obj.Rows.Add(dReader(0), dReader(1), dReader(2))
                    Loop

                Case "LoadItems"
                    Do While dReader.Read = True
                        obj.Rows.Add(dReader(0), dReader(1), dReader(2), dReader(3), dReader(4))
                    Loop

                Case "ItemListPay"
                    Do While dReader.Read = True
                        obj.Rows.Add(False, dReader(0), dReader(1), dReader(3), dReader(4))
                    Loop

                Case "LoadCustomer"
                    Do While dReader.Read = True
                        obj.Rows.Add(dReader(0), dReader(1))
                    Loop

                Case "LoadCustomerHistory"
                    Do While dReader.Read = True
                        obj.Rows.Add(dReader(0), dReader(1), dReader(2), dReader(3), dReader(4), dReader(5))
                    Loop


            End Select

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            da.Dispose()
            con.Close()
        End Try
    End Sub

    Public Function saveInsert(ByVal sql As String) As Boolean

        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql

                result = cmd.ExecuteNonQuery
                If result = 0 Then
                    Return False
                Else
                    Return True
                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        Finally
            con.Close()

        End Try

    End Function

    Public Function UpdateSave(ByVal sql As String) As Boolean
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql
                result = cmd.ExecuteNonQuery
                If result = 0 Then

                    Return False
                Else
                    Return True

                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        Finally
            con.Close()

        End Try

    End Function

    Public Sub CheckResult(ByVal CaseResult As String)
        Dim table As New DataTable
        Try

            da.SelectCommand = cmd
            da.Fill(table)

            If table.Rows.Count > 0 Then
                Select Case CaseResult

                    Case "Palautang"
                        findthis("SELECT sum(`ITEMAMOUNTPAY`) FROM `tblredeemed` WHERE `CUSTBARCODEID` ='" & frmCustomerCenter.txtSearchBarcode.Text & "'")
                        CheckResult("totalutang")

                    Case "totalutang"

                        checkutang = table.Rows(0).Item(0) + Val(frmItemsList.txtTotal.Text)

                        findthis("SELECT `CREDIT_LIMIT` FROM `tblcustomer` WHERE `CUSTBARCODEID` = '" & frmCustomerCenter.txtSearchBarcode.Text & "'")
                        CheckResult("CreditLimit")

                    Case "CreditLimit"

                        If checkutang > table.Rows(0).Item(0) Then
                            MsgBox("Credit is beyond limit.", MsgBoxStyle.Critical)

                        Else

                            With frmItemsList

                                For Each row As DataGridViewRow In .dgvRedeemList.Rows

                                    orderitem = row.Cells(4).Value
                                    itemcode = row.Cells(1).Value

                                    datefrom = frmCustomerCenter.LBLDATE.Text
                                    datetime = frmCustomerCenter.LBLTIME.Text

                                    saveInsert("INSERT INTO `tblredeemed` (`ITEMCODE`, `CUSTBARCODEID`, `REDEEMDATE`, `REDEEMTIME`,`ITEMPRICE`,`ITEMQUANTITY`, `ITEMAMOUNTPAY`)" & _
                                          " VALUES ('" & itemcode & "','" & frmCustomerCenter.txtSearchBarcode.Text & "','" & datefrom & "','" & datetime & "'," & row.Cells(3).Value & "," & orderitem & "," & row.Cells(5).Value & ")")

                                    findthis("SELECT `ITEMPOINTS` FROM `tblitems` WHERE `ITEMCODE` ='" & itemcode & "'")
                                    CheckResult("ItemQuantUpdate")

                                Next

                                LoadCustomerDetails()
                                .Close()

                                canteenreporting("SELECT r.`ITEMCODE` ,  `ITEMNAME` ,  `ITEMDESC` ,  `ITEMPRICE` ,  `ITEMQUANTITY` ,   `ITEMAMOUNTPAY` FROM  `tblredeemed` r,  `tblitems` i WHERE r.`ITEMCODE` = i.`ITEMCODE` and `REDEEMDATE`='" & datefrom & "' and `REDEEMTIME` ='" & datetime & "' and `CUSTBARCODEID` ='" & frmCustomerCenter.txtSearchBarcode.Text & "'", "Receipt")


                            End With


                        End If

                    Case "whatQuantity"
                        whatquantity = table.Rows(0).Item(0)

                    Case "DeductPayroll"

                        utang = table.Rows(0).Item(0)

                        findthis("SELECT `BASICPAY` FROM `tblcustomer` WHERE `CUSTBARCODEID`='" & employeeid & "'")
                        CheckResult("UpdatePayroll")

                    Case "UpdatePayroll"

                        updatepay = table.Rows(0).Item(0) - utang

                        'UpdateSave("UPDATE `tblcustomer` set `BASICPAY` =" & updatepay & " where `CUSTBARCODEID` = '" & employeeid & "'")

                        UpdateSave("UPDATE `tblredeemed` set `ITEMAMOUNTPAY` =0 where `CUSTBARCODEID` = '" & employeeid & "' and `REDEEMDATE` between '" & frmPayrollList.DateTimePicker1.Text & "' and '" & frmPayrollList.DateTimePicker2.Text & "'")



                        IsSuccessResult = saveInsert("INSERT INTO `tblPayroll` (`PRFROMDATE`, `PRTODATE`, `CUSTBARCODEID`, `PAIDAMOUNT`, `PAYROLPRESENT`)" & _
                      " VALUES ('" & frmPayrollList.DateTimePicker1.Text & "','" & frmPayrollList.DateTimePicker2.Text & "','" & employeeid & "'," & utang & "," & updatepay & ")")


                    Case "LoadCustomerPoints"
                        frmCustomerCenter.txtCustomerPoints.Text = table.Rows(0).Item(0)

                    Case "Authentication"

                        If table.Rows(0).Item(4) = "Administrator" Then
                            MsgBox("Welcome Administrator!", MsgBoxStyle.Information)
                            yesEnable()
                            LoginForm1.Close()
                            frmMain.tsLogin.Text = "Logout"

                        ElseIf table.Rows(0).Item(4) = "HR" Then
                            With frmMain
                                MsgBox("Welcome HR!", MsgBoxStyle.Information)
                                .tsEmployee.Enabled = True
                                LoginForm1.Close()
                                frmMain.tsLogin.Text = "Logout"
                            End With

                        ElseIf table.Rows(0).Item(4) = "Cashier" Then
                            With frmMain
                                MsgBox("Welcome Cashier!", MsgBoxStyle.Information)
                                .tsCashiering.Enabled = True
                                .tsItems.Enabled = True
                                LoginForm1.Close()
                                frmMain.tsLogin.Text = "Logout"
                            End With

                        ElseIf table.Rows(0).Item(4) = "Accounting" Then
                            With frmMain
                                MsgBox("Welcome Accounting!", MsgBoxStyle.Information)
                                .tsPayroll.Enabled = True
                                LoginForm1.Close()
                                frmMain.tsLogin.Text = "Logout"
                            End With

                        End If



                    Case "ItemQuantUpdate"

                        itemquantity = table.Rows(0).Item(0)
                        itemupdate = itemquantity - orderitem

                        UpdateSave("UPDATE `tblitems` set `ITEMPOINTS` =" & itemupdate & " where `ITEMCODE` = '" & itemcode & "'")


                End Select
            Else
                Select Case CaseResult

                    Case "Palautang"

                        With frmItemsList
                            checkutang = Val(.txtTotal.Text)

                            If checkutang > 1000 Then
                                MsgBox("Credit is beyond limit.", MsgBoxStyle.Critical)

                            Else

                                With frmItemsList
                                    For Each row As DataGridViewRow In .dgvRedeemList.Rows

                                        orderitem = row.Cells(4).Value
                                        itemcode = row.Cells(1).Value



                                        saveInsert("INSERT INTO `tblredeemed` (`ITEMCODE`, `CUSTBARCODEID`, `REDEEMDATE`, `REDEEMTIME`,`ITEMPRICE`,`ITEMQUANTITY`, `ITEMAMOUNTPAY`)" & _
                                              " VALUES ('" & itemcode & "','" & frmCustomerCenter.txtSearchBarcode.Text & "','" & datefrom & "','" & datetime & "'," & row.Cells(3).Value & "," & orderitem & "," & row.Cells(5).Value & ")")

                                        findthis("SELECT `ITEMPOINTS` FROM `tblitems` WHERE `ITEMCODE` ='" & itemcode & "'")
                                        CheckResult("ItemQuantUpdate")


                                    Next


                                    LoadCustomerDetails()
                                    .Close()



                                    canteenreporting("SELECT r.`ITEMCODE` ,  `ITEMNAME` ,  `ITEMDESC` ,  `ITEMPRICE` ,  `ITEMQUANTITY` ,   `ITEMAMOUNTPAY` FROM  `tblredeemed` r,  `tblitems` i WHERE r.`ITEMCODE` = i.`ITEMCODE` and `REDEEMDATE`='" & datefrom & "' and `REDEEMTIME` ='" & datetime & "' and `CUSTBARCODEID` ='" & frmCustomerCenter.txtSearchBarcode.Text & "'", "Receipt")


                                End With


                            End If

                        End With


                    Case "LoadCustomerPoints"
                        frmCustomerCenter.txtCustomerPoints.Text = 0

                    Case "Authentication"
                        MsgBox("Contact Administrator.", MsgBoxStyle.Critical)


                End Select
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            da.Dispose()
            con.Close()
        End Try
    End Sub

    Public Sub fillcombo(ByVal combo As Object, ByVal member As String, ByVal idparam As String)
        Dim publictable As New DataTable
        Try
            da.SelectCommand = cmd
            da.Fill(publictable)
            With combo
                .DataSource = publictable
                .displaymember = member
                .valuemember = idparam
                .SelectedIndex = -1
            End With

            da.Dispose()

        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        End Try
    End Sub

    Public Sub LoadSingleData(ByVal param As String)
        Try
            con.Open()
            dReader = cmd.ExecuteReader()

            Select Case param

                Case "EditItems"
                    Do While dReader.Read = True

                        With frmServiceItem
                            .Text = "Edit Item"
                            .txtitemcode.Enabled = False
                            .btnSave.Text = "Update"

                            .txtitemcode.Text = dReader("ITEMCODE")
                            .txtAmount.Text = dReader("ITEMAMOUNT")
                            .txtPoints.Text = dReader("ITEMPOINTS")
                            .txtitemname.Text = dReader("ITEMNAME")
                            .txtitemdescription.Text = dReader("ITEMDESC")

                            .Show()
                        End With

                    Loop


                Case "EditPayroll"
                    Do While dReader.Read = True

                        With Form1
                            .Text = "Edit Payroll"
                            .txtbarcodeid.Enabled = False
                            .txtcustadd.Enabled = False
                            .txtcustMobile.Enabled = False
                            .txtCustName.Enabled = False

                            .btnSave.Text = "Update"

                            .txtbarcodeid.Text = dReader("CUSTBARCODEID")
                            .txtBasicPay.Text = dReader("BASICPAY")
                            .txtcustadd.Text = dReader("CUSTADD")
                            .txtcustMobile.Text = dReader("CUSTMOBILE")
                            .txtCustName.Text = dReader("CUSTNAME")
                            .txtcreditlimit.Text = dReader("CREDIT_LIMIT")

                            .Show()
                        End With
                    Loop


                Case "ItemAddPay"

                    Do While dReader.Read = True
                        frmItemsList.dgvItemList.Rows.Add(False, dReader("ITEMCODE"), dReader("ITEMNAME"), dReader("ITEMAMOUNT"))
                    Loop
                Case "LoadCustomer"
                    With frmCustomerCenter
                        Do While dReader.Read = True

                            .lblIdNo.Text = dReader("CUSTBARCODEID")
                            .lblName.Text = dReader("CUSTNAME")
                            .lblContacts.Text = dReader("CUSTMOBILE")
                            .txtcustadd.Text = dReader("CUSTADD")
                        Loop
                    End With



            End Select

        Catch ex As Exception
            MsgBox(ex.Message)

        Finally
            da.Dispose()
            con.Close()
        End Try
    End Sub

    Public Sub disEnable()
        With frmMain
            .tsCashiering.Enabled = False
            .tsEmployee.Enabled = False
            .tsUsers.Enabled = False
            .tsReports.Enabled = False
            .tsPayroll.Enabled = False
            .tsItems.Enabled = False
        End With

    End Sub

    Public Sub yesEnable()
        With frmMain
            .tsCashiering.Enabled = True
            .tsEmployee.Enabled = True
            .tsUsers.Enabled = True
            .tsReports.Enabled = True
            .tsPayroll.Enabled = True
            .tsItems.Enabled = True
        End With

    End Sub

    Public Sub LoadCustomerDetails()
        With frmCustomerCenter

            findthis("SELECT * FROM `tblcustomer` WHERE `CUSTBARCODEID` = '" & .txtSearchBarcode.Text & "'")

            If DefaultResult() = True Then

                findthis("SELECT * FROM `tblcustomer` WHERE `CUSTBARCODEID` = '" & .txtSearchBarcode.Text & "'")
                LoadSingleData("LoadCustomer")


                .dgvSPList.Rows.Clear()
                findthis("SELECT  DATE_FORMAT(`REDEEMDATE`,'%m-%d-%Y') ,  `REDEEMTIME` , CONCAT(  `ITEMNAME` ,  ' - ',  `ITEMDESC` ) AS Items,  `ITEMPRICE` ,  `ITEMQUANTITY` ,  `ITEMAMOUNTPAY`" & _
                         " FROM  `tblredeemed` r,  `tblitems` i WHERE r.`ITEMCODE` = i.`ITEMCODE` and `CUSTBARCODEID` = '" & .txtSearchBarcode.Text & "'")
                LoadData(.dgvSPList, "LoadCustomerHistory")

                .dgvRedeem.Rows.Clear()
                findthis("SELECT DATE_FORMAT(`PRFROMDATE`,'%m-%d-%Y'),DATE_FORMAT( `PRTODATE`,'%m-%d-%Y'), `PAIDAMOUNT`, `PAYROLPRESENT` FROM `tblpayroll` WHERE `CUSTBARCODEID` = '" & .lblIdNo.Text & "'")
                LoadData(.dgvRedeem, "LoadCustomerRedeem")



                findthis("SELECT * FROM `tblredeemed` WHERE `CUSTBARCODEID` = '" & .txtSearchBarcode.Text & "'")

                If DefaultResult() = True Then

                    findthis("SELECT SUM(`ITEMAMOUNTPAY`) FROM `tblredeemed` WHERE `CUSTBARCODEID` = '" & .txtSearchBarcode.Text & "'")
                    CheckResult("LoadCustomerPoints")

                    EnableCustomer()
                Else
                    frmCustomerCenter.txtCustomerPoints.Text = 0
                End If

            Else

                disEnableCustomer()

            End If
        End With
    End Sub

    Public Function DefaultResult() As Boolean
        Dim table As New DataTable

        Try
            da.SelectCommand = cmd
            da.Fill(table)

            If table.Rows.Count > 0 Then
                ' MsgBox("Not empty")
                Return True
            Else
                ' MsgBox("empty")
                Return False
            End If
        Catch ex As Exception

            MsgBox(ex.Message)
        End Try

    End Function

    Public Sub EnableCustomer()

        With frmCustomerCenter

            .lblName.Show()
            .lblIdNo.Show()
            .lblContacts.Show()
            .txtcustadd.Show()
            .txtCustomerPoints.Show()

        End With
    End Sub

    Public Sub disEnableCustomer()
        With frmCustomerCenter
            .dgvSPList.Rows.Clear()
            .lblName.Hide()
            .lblIdNo.Hide()
            .lblContacts.Hide()
            .txtcustadd.Hide()
            .txtCustomerPoints.Hide()
        End With
    End Sub

    Public Sub canteenreporting(ByVal RpTsql As String, ByVal rptname As String)
        dt = New DataTable
        Try
            myconn.Open()
            cmd.Connection = myconn()
            cmd.CommandText = RpTsql
            da.SelectCommand = cmd
            da.Fill(dt)

            Dim reportpath As String = Application.StartupPath & "\reports\" & rptname & ".rpt"
            If Not IO.File.Exists(reportpath) Then
                MsgBox("Unable to locate file", MsgBoxStyle.Critical)
            End If
            Dim reportdoc As New CrystalDecisions.CrystalReports.Engine.ReportDocument

            reportdoc.Load(reportpath)
            reportdoc.SetDataSource(dt)

            With frmReporting

                .CrystalReportViewer1.ReportSource = reportdoc
                .Show()

            End With
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            myconn.Close()

        End Try


    End Sub

End Module
