-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 14, 2017 at 03:42 AM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `kcccanteen`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomer`
--

CREATE TABLE IF NOT EXISTS `tblcustomer` (
  `CUSTID` int(11) NOT NULL AUTO_INCREMENT,
  `CUSTBARCODEID` varchar(11) NOT NULL,
  `CUSTNAME` varchar(150) NOT NULL,
  `CUSTADD` varchar(350) NOT NULL,
  `CUSTMOBILE` varchar(50) NOT NULL,
  `EMPID` int(11) NOT NULL,
  `BASICPAY` double NOT NULL,
  `CREDIT_LIMIT` double NOT NULL,
  PRIMARY KEY (`CUSTID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=12 ;

--
-- Dumping data for table `tblcustomer`
--

INSERT INTO `tblcustomer` (`CUSTID`, `CUSTBARCODEID`, `CUSTNAME`, `CUSTADD`, `CUSTMOBILE`, `EMPID`, `BASICPAY`, `CREDIT_LIMIT`) VALUES
(1, '0010266936', 'Employee A', 'Kabankalan', '12345', 0, 5000, 1000),
(2, '0012376228', 'Employee B', 'Kabankaln', '12345', 0, 5000, 100),
(3, '0008583362', 'Employee C', 'Kabankalan City', '09464479593', 0, 5000, 100),
(4, '0009715953', 'Employee D', 'Kabankalan', '9434465747', 0, 5000, 100),
(11, '12', 'ringo', 'Kabankalan', '09464479593', 0, 1000, 1000);

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomertotalpoints`
--

CREATE TABLE IF NOT EXISTS `tblcustomertotalpoints` (
  `TCPID` int(11) NOT NULL AUTO_INCREMENT,
  `CUSTBARCODEID` varchar(11) NOT NULL,
  `TOTALPOINTS` int(11) NOT NULL,
  `AMOUNTEARN` double NOT NULL,
  PRIMARY KEY (`TCPID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tblcustomertotalpoints`
--


-- --------------------------------------------------------

--
-- Table structure for table `tblitems`
--

CREATE TABLE IF NOT EXISTS `tblitems` (
  `ITEMSID` int(11) NOT NULL AUTO_INCREMENT,
  `ITEMCODE` varchar(50) NOT NULL,
  `ITEMNAME` varchar(100) NOT NULL,
  `ITEMDESC` varchar(150) NOT NULL,
  `ITEMPOINTS` int(11) NOT NULL,
  `ITEMAMOUNT` double NOT NULL,
  PRIMARY KEY (`ITEMSID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `tblitems`
--

INSERT INTO `tblitems` (`ITEMSID`, `ITEMCODE`, `ITEMNAME`, `ITEMDESC`, `ITEMPOINTS`, `ITEMAMOUNT`) VALUES
(1, '0008583362', 'Coke', '8 oz', 50, 10),
(2, '0009715953', 'Mang Juan', '90 g', 35, 14),
(3, '0012376228', 'Coke', '1 liter', 50, 28),
(4, '0010266936', 'Chicken Curry', 'Chicken', 45, 30),
(5, '', '', '', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tblpayroll`
--

CREATE TABLE IF NOT EXISTS `tblpayroll` (
  `PAYROLLID` int(11) NOT NULL AUTO_INCREMENT,
  `PRFROMDATE` date NOT NULL,
  `PRTODATE` date NOT NULL,
  `CUSTBARCODEID` varchar(50) NOT NULL,
  `PAIDAMOUNT` double NOT NULL,
  `PAYROLAMOUNT` double NOT NULL,
  `PAYROLPRESENT` double NOT NULL,
  PRIMARY KEY (`PAYROLLID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=126 ;

--
-- Dumping data for table `tblpayroll`
--

INSERT INTO `tblpayroll` (`PAYROLLID`, `PRFROMDATE`, `PRTODATE`, `CUSTBARCODEID`, `PAIDAMOUNT`, `PAYROLAMOUNT`, `PAYROLPRESENT`) VALUES
(117, '2017-02-02', '2017-02-10', '0010266936', 70, 0, 49999930),
(118, '2017-02-02', '2017-02-10', '0012376228', 0, 0, 5000),
(119, '2017-02-02', '2017-02-10', '0008583362', 0, 0, 5000),
(120, '2017-02-02', '2017-02-10', '0009715953', 0, 0, 5000),
(121, '2017-02-01', '2017-02-15', '0010266936', 990, 0, 49999010),
(122, '2017-02-01', '2017-02-15', '0012376228', 0, 0, 5000),
(123, '2017-02-01', '2017-02-15', '0008583362', 0, 0, 5000),
(124, '2017-02-01', '2017-02-15', '0009715953', 28, 0, 4972),
(125, '2017-02-01', '2017-02-15', '12', 74, 0, 926);

-- --------------------------------------------------------

--
-- Table structure for table `tblredeemed`
--

CREATE TABLE IF NOT EXISTS `tblredeemed` (
  `REDEEMEDID` int(11) NOT NULL AUTO_INCREMENT,
  `ITEMCODE` varchar(50) NOT NULL,
  `EMPID` int(11) NOT NULL,
  `CUSTBARCODEID` varchar(50) NOT NULL,
  `REDEEMDATE` date NOT NULL,
  `REDEEMTIME` varchar(50) NOT NULL,
  `ITEMPRICE` double NOT NULL,
  `ITEMQUANTITY` int(11) NOT NULL,
  `ITEMAMOUNTPAY` double NOT NULL,
  PRIMARY KEY (`REDEEMEDID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=58 ;

--
-- Dumping data for table `tblredeemed`
--

INSERT INTO `tblredeemed` (`REDEEMEDID`, `ITEMCODE`, `EMPID`, `CUSTBARCODEID`, `REDEEMDATE`, `REDEEMTIME`, `ITEMPRICE`, `ITEMQUANTITY`, `ITEMAMOUNTPAY`) VALUES
(48, '0009715953', 0, '0010266936', '2017-02-02', '2:32:07 PM', 14, 5, 0),
(49, '0010266936', 0, '12', '2017-02-02', '3:31:12 PM', 30, 2, 0),
(50, '0009715953', 0, '0009715953', '2017-02-02', '4:06:46 PM', 14, 2, 0),
(51, '0010266936', 0, '0010266936', '2017-02-02', '4:18:59 PM', 30, 2, 0),
(52, '0010266936', 0, '0010266936', '2017-02-02', '4:20:46 PM', 30, 1, 0),
(53, '0009715953', 0, '12', '2017-02-02', '4:21:40 PM', 14, 1, 0),
(54, '0010266936', 0, '0010266936', '2017-02-02', '4:22:53 PM', 30, 2, 0),
(55, '0010266936', 0, '0010266936', '2017-02-06', '4:40:00 PM', 30, 28, 0),
(56, '0009715953', 0, '12', '2017-02-06', '4:44:58 PM', 14, 2, 28),
(57, '0010266936', 0, '12', '2017-02-13', '12:19:47 PM', 30, 5, 150);

-- --------------------------------------------------------

--
-- Table structure for table `useraccounts`
--

CREATE TABLE IF NOT EXISTS `useraccounts` (
  `ACCOUNT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ACCOUNT_NAME` varchar(255) NOT NULL,
  `ACCOUNT_USERNAME` varchar(255) NOT NULL,
  `ACCOUNT_PASSWORD` text NOT NULL,
  `ACCOUNT_TYPE` varchar(30) NOT NULL,
  `EMPID` int(11) NOT NULL,
  PRIMARY KEY (`ACCOUNT_ID`),
  UNIQUE KEY `ACCOUNT_USERNAME` (`ACCOUNT_USERNAME`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `useraccounts`
--

INSERT INTO `useraccounts` (`ACCOUNT_ID`, `ACCOUNT_NAME`, `ACCOUNT_USERNAME`, `ACCOUNT_PASSWORD`, `ACCOUNT_TYPE`, `EMPID`) VALUES
(1, 'Ynchausti, Jocelyn Esloyo, CPA,MBA', '0010266936', '0', 'Administrator', 1001),
(2, 'User B', '0008583362', '0', 'HR', 1002),
(3, 'User C', '0012376228', '0', 'Cashier', 1003),
(4, 'User D', '0009715953', '0', 'Accounting', 1004);
